欢迎来到 岁月小筑

解决安装和更新wordpress插件、主题和网站需要FTP的问题

此教程仅适用于VPS、服务器用户

在网上一搜教程:解决安装和更新需要FTP的问题,其实已经有很多文章和教程了,那么问题来了,为什么我还要写这篇文章呢?

网上教程十分简单,改改wp-config.php就好了,但是危险总潜伏在人所不知道的地方。

虚拟主机用户到还好一点,但是VPS、服务器这类拥有独立管理权的用户就危险了。知道linux权限的朋友都懂777是什么意思,没错,就是文件可读、可写、可执行的意思。这会引起什么问题呢?任何一个人,只要他上传了一个php文件,都能马上在你的服务器执行!

那么,如何解决这个问题呢?

1、在wp-config.php添加以下代码(意思是直接写入,而不用FTP):

没错,第一条还是要的,这条危险不算很大。

2、在你的网站根目录执行以下命令:

lnmp等一键包用户:

通过其他方法安装apache、php、nginx的用户请以实际情况为准。

然后就能放心安装你的wordpress主题和插件了,而且也已经不需要FTP了。

点赞
  1. 匿名说道:

    哦,其实安装一个面板就可以解决,shell其实还是需要下载的嘛

    1. littleplus littleplus说道:

      安装面板是很方便,只是不怎么习惯用面板

发表评论

电子邮件地址不会被公开。